import timeit

__author__ = 'Cameron'

def setup():
    block = "0123456789ABCDEF"
    two_to_the_29 = 2**29
    with open("test_file.dat", "w") as test_file:
        for i in xrange(two_to_the_29):
            test_file.write(block)
            if not i % 4000000:
                print "{}%".format((float(i)*100)/two_to_the_29)

def test():
    setup = """
gc.enable()
test_file = open("test_file.dat")"""

    for i in xrange(10, 23):
        time = timeit.timeit("test_file.read({})".format(2**i), setup=setup, number=2000)
        print "%5i\t%7i" % (time*1000, 2**i)


#setup()
test()